Subject: Re: bug#61829: [PATCH 00/11] Purge pre-1.3.0 deprecated procedures & variables.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 03 Mar 2023 17:29:23 +0100

Hi,

Bruno Victal <[email-masked]> skribis:

> The idea is to shed pre-1.3.0 deprecated code from Guix to reduce the
> overall maintenance burden. Given the age of the release and the warnings, I assume
> most users/maintainers would have taken notice and applied updates.
> (no actual package definitions have been removed, only their old aliases)

I agree: the whole point of deprecation warnings is to communicate to
users the eventual removal of a symbol or functionality.  I think it’s
more efficient than emails to info-guix in that regard.

The project has yet to define a clear deprecation policy, and I hope
maintainers can spearhead such an effort.  In the meantime, removing
things that have been deprecated for 22+ months in this case sounds
reasonable to me.

Ludo’.